CRMFObjectIdentifiers (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.crmf

## Interface CRMFObjectIdentifiers

-     public interface CRMFObjectIdentifiers

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ASN1ObjectIdentifier` | `id_alg` 1.3.6.1.5.5.7.6
    `static ASN1ObjectIdentifier` | `id_alg_dh_pop`
    `static ASN1ObjectIdentifier` | `id_ct_encKeyWithID` 1.2.840.113549.1.9.16.1,21
    `static ASN1ObjectIdentifier` | `id_dh_sig_hmac_sha1`
    `static ASN1ObjectIdentifier` | `id_pkip` 1.3.6.1.5.5.7.5
    `static ASN1ObjectIdentifier` | `id_pkix` 1.3.6.1.5.5.7
    `static ASN1ObjectIdentifier` | `id_regCtrl` 1.3.6.1.5.5.7.1
    `static ASN1ObjectIdentifier` | `id_regCtrl_authenticator` 1.3.6.1.5.5.7.1.2
    `static ASN1ObjectIdentifier` | `id_regCtrl_oldCertID` 1.3.6.1.5.5.7.1.5
    `static ASN1ObjectIdentifier` | `id_regCtrl_pkiArchiveOptions` 1.3.6.1.5.5.7.1.4
    `static ASN1ObjectIdentifier` | `id_regCtrl_pkiPublicationInfo` 1.3.6.1.5.5.7.1.3
    `static ASN1ObjectIdentifier` | `id_regCtrl_protocolEncrKey` 1.3.6.1.5.5.7.1.6
    `static ASN1ObjectIdentifier` | `id_regCtrl_regToken` 1.3.6.1.5.5.7.1.1
    `static ASN1ObjectIdentifier` | `id_regInfo` 1.3.6.1.5.5.7.2
    `static ASN1ObjectIdentifier` | `id_regInfo_certReq` 1.3.6.1.5.5.7.2.2
    `static ASN1ObjectIdentifier` | `id_regInfo_utf8Pairs` 1.3.6.1.5.5.7.2.1
    `static ASN1ObjectIdentifier` | `passwordBasedMac`

- - ### Field Detail

    - #### passwordBasedMac

          static final ASN1ObjectIdentifier passwordBasedMac

    - #### id_pkix

          static final ASN1ObjectIdentifier id_pkix

      1.3.6.1.5.5.7

    - #### id_pkip

          static final ASN1ObjectIdentifier id_pkip

      1.3.6.1.5.5.7.5

    - #### id_regCtrl

          static final ASN1ObjectIdentifier id_regCtrl

      1.3.6.1.5.5.7.1

    - #### id_regCtrl_regToken

          static final ASN1ObjectIdentifier id_regCtrl_regToken

      1.3.6.1.5.5.7.1.1

    - #### id_regCtrl_authenticator

          static final ASN1ObjectIdentifier id_regCtrl_authenticator

      1.3.6.1.5.5.7.1.2

    - #### id_regCtrl_pkiPublicationInfo

          static final ASN1ObjectIdentifier id_regCtrl_pkiPublicationInfo

      1.3.6.1.5.5.7.1.3

    - #### id_regCtrl_pkiArchiveOptions

          static final ASN1ObjectIdentifier id_regCtrl_pkiArchiveOptions

      1.3.6.1.5.5.7.1.4

    - #### id_regCtrl_oldCertID

          static final ASN1ObjectIdentifier id_regCtrl_oldCertID

      1.3.6.1.5.5.7.1.5

    - #### id_regCtrl_protocolEncrKey

          static final ASN1ObjectIdentifier id_regCtrl_protocolEncrKey

      1.3.6.1.5.5.7.1.6

    - #### id_regInfo

          static final ASN1ObjectIdentifier id_regInfo

      1.3.6.1.5.5.7.2

    - #### id_regInfo_utf8Pairs

          static final ASN1ObjectIdentifier id_regInfo_utf8Pairs

      1.3.6.1.5.5.7.2.1

    - #### id_regInfo_certReq

          static final ASN1ObjectIdentifier id_regInfo_certReq

      1.3.6.1.5.5.7.2.2

    - #### id_ct_encKeyWithID

          static final ASN1ObjectIdentifier id_ct_encKeyWithID

      1.2.840.113549.1.9.16.1,21

    - #### id_alg

          static final ASN1ObjectIdentifier id_alg

      1.3.6.1.5.5.7.6

    - #### id_dh_sig_hmac_sha1

          static final ASN1ObjectIdentifier id_dh_sig_hmac_sha1

    - #### id_alg_dh_pop

          static final ASN1ObjectIdentifier id_alg_dh_pop